import { defineMessages } from "react-intl";
import { addIdAndDefaultMessageToMessages } from "Util";

const messages = defineMessages({
  Cancel: "Cancel",
  Reply: "Reply",
  Send: "Send",
  NotePlaceholder: "What's on your mind?",
  Back: "Back",
  Block: "Block",
  Unblock: "Unblock",
  MuteCount: "{n} muted",
  Mute: "Mute",
  MutedAuthor: "This author has been muted",
  Others: ` & {n} {n, plural, =1 {other} other {others}}`,
  Show: "Show",
  Delete: "Delete",
  Deleted: "Deleted",
  Unmute: "Unmute",
  MuteAll: "Mute all",
  BlockCount: "{n} blocked",
  JustNow: "Just now",
  Follow: "Follow",
  FollowAll: "Follow all",
  Unfollow: "Unfollow",
  FollowerCount: "{n} followers",
  FollowingCount: "Follows {n}",
  FollowsYou: "follows you",
  Invoice: "Lightning Invoice",
  PayInvoice: "Pay Invoice",
  Expired: "Expired",
  Pay: "Pay",
  Paid: "Paid",
  Loading: "Loading...",
  Logout: "Logout",
  ShowMore: "Show more",
  TranslateTo: "Translate to {lang}",
  TranslatedFrom: "Translated from {lang}",
  TranslationFailed: "Translation failed",
  UnknownEventKind: "Unknown event kind: {kind}",
  ConfirmDeletion: `Are you sure you want to delete {id}`,
  ConfirmRepost: `Are you sure you want to repost: {id}`,
  Reactions: "Reactions",
  ReactionsCount: "Reactions ({n})",
  Share: "Share",
  CopyID: "Copy ID",
  CopyJSON: "Copy Event JSON",
  Dislike: "{n} Dislike",
  Sats: `{n} {n, plural, =1 {sat} other {sats}}`,
  Zapped: "zapped",
  OthersZapped: `{n, plural, =0 {} =1 {zapped} other {zapped}}`,
  Likes: "Likes ({n})",
  Zaps: "Zaps ({n})",
  Dislikes: "Dislikes ({n})",
  Reposts: "Reposts ({n})",
  NoteToSelf: "Note to Self",
  Read: "Read",
  Write: "Write",
  Seconds: "{n} secs",
  Milliseconds: "{n} ms",
  ShowLatest: "Show latest {n} notes",
  LNURLFail: "Failed to load LNURL service",
  InvoiceFail: "Failed to load invoice",
  Custom: "Custom",
  Confirm: "Confirm",
  ZapAmount: "Zap amount in sats",
  Comment: "Comment",
  ZapTarget: "Zap {target} {n} sats",
  ZapSats: "Zap {n} sats",
  OpenWallet: "Open Wallet",
  SendZap: "Send zap",
  SendSats: "Send sats",
  ToTarget: "{action} to {target}",
  ShowReplies: "Show replies",
  TooShort: "name too short",
  TooLong: "name too long",
  Regex: "name has disallowed characters",
  Registered: "name is registered",
  Disallowed: "name is blocked",
  DisalledLater: "name will be available later",
  BuyNow: "Buy Now",
  NotAvailable: "Not available:",
  Buying: "Buying {item}",
  OrderPaid: "Order Paid!",
  NewNip: "Your new NIP-05 handle is:",
  ActivateNow: "Activate Now",
  AddToProfile: "Add to Profile",
  AccountPage: "account page",
  AccountSupport: "Account Support",
  GoTo: "Go to",
  FindMore: "Find out more info about {service} at {link}",
  SavePassword:
    "Please make sure to save the following password in order to manage your handle in the future",
});

export default addIdAndDefaultMessageToMessages(messages, "Element");
